unit MYTime;
interface
 uses Windows;
const
	DaysYear: array[Boolean, 0..12] of integer = (
    		(0, 31, 59, 90, 120, 151, 181, 212, 243, 273, 304, 334, 365),
		(0, 31, 60, 91, 121, 152, 182, 213, 244, 274, 305, 335, 366));
	SEC_DAY = 3600 * 24;
 function GetIrcTime: DWORD;
implementation
function GetIrcTime: DWord;
var tm     : TSystemtime;
    LTime  : LongInt;
    Days_in_year : integer;
begin
  GetSystemTime(tm);
  LTime:=tm.wSecond+(60*tm.wMinute)+(3600*tm.wHour); //Day time
  Days_in_year := DaysYear[(((tm.wYear-1980) mod 4) = 0), tm.wMonth-1]+tm.wDay; //Cur day and month
  Result := LTime + (Days_in_year + (((tm.wYear-1970) * 365) + ((tm.wYear-1974) div 4)))*SEC_DAY;
end;
end.